Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::MatrixSpace Class Referenceabstract

MatrixSpace base class, corresponding to the Matrix base class. More...

`#include <IpMatrix.hpp>`

Inheritance diagram for Ipopt::MatrixSpace:
[legend]

## Public Member Functions
virtual Matrix * | MakeNew () const =0
| Pure virtual method for creating a new Matrix of the corresponding type. More...
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
Constructors/Destructors
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| MatrixSpace ()
| default constructor More...
| MatrixSpace (const MatrixSpace &)
| Copy constructor. More...
MatrixSpace & | operator= (const MatrixSpace &)
| Overloaded Equals Operator. More...

## Private Attributes
const Index | nRows_
| Number of rows for all matrices of this type. More...
const Index | nCols_
| Number of columns for all matrices of this type. More...

## Detailed Description

MatrixSpace base class, corresponding to the Matrix base class.

For each Matrix implementation, a corresponding MatrixSpace has to be implemented. A MatrixSpace is able to create new Matrices of a specific type. The MatrixSpace should also store information that is common to all Matrices of that type. For example, the dimensions of a Matrix is stored in the MatrixSpace base class.

Definition at line 239 of file IpMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::MatrixSpace::MatrixSpace | ( | Index | nRows,
|  | Index | nCols
| ) |  |
| inline

Constructor, given the number rows and columns of all matrices generated by this MatrixSpace.

Definition at line 247 of file IpMatrix.hpp.

virtual Ipopt::MatrixSpace::~MatrixSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 254 of file IpMatrix.hpp.

Ipopt::MatrixSpace::MatrixSpace | ( |  | ) |
| private

default constructor

Ipopt::MatrixSpace::MatrixSpace | ( | const MatrixSpace & |  | ) |
| private

Copy constructor.

## Member Function Documentation

virtual Matrix* Ipopt::MatrixSpace::MakeNew | ( |  | ) | const
| pure virtual

Pure virtual method for creating a new Matrix of the corresponding type.

Implemented in Ipopt::CompoundMatrixSpace, Ipopt::DenseGenMatrixSpace, Ipopt::MultiVectorMatrixSpace, Ipopt::GenTMatrixSpace, Ipopt::ExpansionMatrixSpace, Ipopt::ScaledMatrixSpace, Ipopt::SymScaledMatrixSpace, Ipopt::ExpandedMultiVectorMatrixSpace, Ipopt::SumMatrixSpace, Ipopt::TransposeMatrixSpace, Ipopt::SymMatrixSpace, Ipopt::ZeroMatrixSpace, and Ipopt::ZeroSymMatrixSpace.

Index Ipopt::MatrixSpace::NRows | ( |  | ) | const
| inline

Accessor function for the number of rows.

Definition at line 264 of file IpMatrix.hpp.

Index Ipopt::MatrixSpace::NCols | ( |  | ) | const
| inline

Accessor function for the number of columns.

Definition at line 269 of file IpMatrix.hpp.

bool Ipopt::MatrixSpace::IsMatrixFromSpace | ( | const Matrix & | matrix | ) | const
| inline

Method to test if a given matrix belongs to a particular matrix space.

Definition at line 277 of file IpMatrix.hpp.

MatrixSpace& Ipopt::MatrixSpace::operator= | ( | const MatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

const Index Ipopt::MatrixSpace::nRows_
| private

Number of rows for all matrices of this type.

Definition at line 302 of file IpMatrix.hpp.

const Index Ipopt::MatrixSpace::nCols_
| private

Number of columns for all matrices of this type.

Definition at line 304 of file IpMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpMatrix.hpp